# RCRE
[![Build Status](https://travis-ci.org/andycall/RCRE.svg?branch=master)](https://travis-ci.org/andycall/RCRE)
> 有了RCRE，以后写后台页面再也不用去求前端了。

RCRE是一个使用JSON来生成单页应用程序的渲染引擎。

它不光是仅仅使用JSON来生成用户想要的页面结构，它最大的不同之处在于用户可以直接使用JSON来配置整个页面的交互和数据操作。

现在，只要有了RCRE，一个非前端专业的工程师，也能在一天之内配置出一个专业前端工程师要耗费一周才能制作出来的CMS系统。

## 特性
1. 简单好用的布局系统
2. 提供基于Ant.design的组件库，功能完善，能应对大部分常见需求
3. 能直接使用JSON来配置出组件的数据获取，数据操作，以及数据提交功能
4. 支持事件捕获，能直接配置出用户触发鼠标键盘操作后的一系列行为
5. 可灵活扩展，可使用自定义React组件
6. 方便调试，可使用React Devtools和Redux Devtools来进行调试
7. 方便的表单功能，10分钟写出复杂的提交表单不是梦

## 如何拉代码

为了避免icode 恶心的merged failed问题，提交历史中不能混在git merge提交的历史。所以大家都需要采用rebase来拉代码

git pull 新姿势：

```bash
git pull --rebase
```

如果遇到文件冲突：
它会进入rebase版本的冲突处理模式，这个冲突处理和使用git merge 产生的冲突不太一样.

1. 修复文件冲突
2. git add
3. git rebase --continue

就好了

## 快速使用

**安装**
```bash
npm install rcre-core --save
```

**引入**
```javascript
import React from 'react';
import {Render} from 'rcre-core';

class Demo extends React.Component {
    render() {
        const config = {
            body: [
                {
                    type: 'text',
                    text: 'helloworld'
                }
            ]
        };
        
        return <Render 
            code={JSON.stringify(config)}
        />
    }
}
```
