/// <reference types="react" />
import { BasicConfig, BasicContainer, BasicContainerPropsInterface } from '../../render/core/Container/types';
export interface RemoteConfig {
    /**
     * 请求地址
     */
    url: string;
    /**
     * 请求方法
     */
    method: string;
    /**
     * 请求数据
     */
    data: Object;
    /**
     * 映射接口值到dataSource
     */
    retMapping: string;
}
export declare class AutoCompleteConfig extends BasicConfig {
    /**
     * 数据模型Key
     */
    name: string;
    /**
     * 初始化的默认值
     */
    defaultValue: string;
    /**
     * 下拉数据源
     */
    dataSource: string[];
    /**
     * 动态加载数据配置
     */
    loadDataConfig?: RemoteConfig;
}
export declare class AutoCompletePropsInterface extends BasicContainerPropsInterface {
    info: AutoCompleteConfig;
}
export interface AutoCompleteStateInterface {
    dataSource: string[];
}
export declare class AbstractAutoComplete extends BasicContainer<AutoCompletePropsInterface, AutoCompleteStateInterface> {
    constructor(props: AutoCompletePropsInterface);
    componentWillMount(): void;
    private handleSearch(value);
    private requestData(searchValue, config);
    render(): JSX.Element;
}
