/// <reference types="react" />
import { BasicConfig, BasicContainer, BasicContainerPropsInterface } from '../../render/core/Container/types';
import { ButtonType } from '@native-ads/antd/es/button';
import './DropDown.less';
export declare class DropDownConfig extends BasicConfig {
    /**
     * 按钮的样式
     */
    buttonType: ButtonType;
    /**
     * 按钮的文字
     */
    buttonText: string;
    /**
     * 下拉选项
     */
    dropDownItems: {
        text: string;
        src?: string;
        link?: string;
    }[];
    /**
     * 是否禁用
     */
    disabled: boolean;
    /**
     * 弹出位置
     */
    placement: 'bottomLeft' | 'bottomCenter' | 'bottomRight' | 'topLeft' | 'topCenter' | 'topRight';
    /**
     * 触发下拉的行为
     */
    triggerType: ('click' | 'hover' | 'contextMenu')[];
}
export declare class DropDownPropsInterface extends BasicContainerPropsInterface {
    info: DropDownConfig;
}
export declare class AbstractDropDown extends BasicContainer<DropDownPropsInterface, {}> {
    constructor(props: DropDownPropsInterface);
    render(): JSX.Element;
}
