/// <reference types="react" />
import * as React from 'react';
import { BasicContainer, BasicContainerPropsInterface } from '../../render/core/Container/types';
import { FormConfig } from '../../render/core/Form/Form';
import { SET_FORM_ITEM_PAYLOAD } from '../../render/core/Form/actions';
export declare class FormPropsInterface extends BasicContainerPropsInterface {
    info: FormConfig;
    /**
     * 当前表单的数据模型
     */
    $form: {
        /**
         * 表单布局
         */
        layout?: 'horizontal' | 'vertical' | 'inline';
        /**
         * 表单下的表单项
         */
        control: {
            [s: string]: SET_FORM_ITEM_PAYLOAD;
        };
        /**
         * 提交之后清除表单数据
         */
        clearAfterSubmit?: boolean;
        /**
         * 当某一规则校验不通过时，是否停止剩下的规则的校验
         */
        validateFirst?: boolean;
    };
    /**
     * 更新表单元素的属性
     */
    $setFormItem: (payload: Partial<SET_FORM_ITEM_PAYLOAD>) => void;
    /**
     * 批量更新表单元素属性
     */
    $setFormItems: (payload: Partial<SET_FORM_ITEM_PAYLOAD>[]) => void;
}
export declare class AbstractForm extends BasicContainer<FormPropsInterface, {}> {
    constructor(props: FormPropsInterface);
    render(): JSX.Element;
    handleSubmit(event: React.FormEvent<HTMLFormElement>): void;
}
