/// <reference types="react" />
import { CSSProperties } from 'react';
import { BasicConfig, BasicContainer, BasicContainerPropsInterface } from '../../render/core/Container/types';
export declare class PaginationConfig extends BasicConfig {
    /**
     * 数据模型Key
     */
    name: string;
    /**
     * 当前页数
     */
    current?: number;
    /**
     * 默认当前页数
     */
    defaultCurrent: number;
    /**
     * 默认每页条数
     */
    defaultPageSize: number;
    /**
     * 自定义翻页元素
     */
    itemControls?: BasicConfig[];
    /**
     * 是否可以快速跳转至某页
     */
    showQuickJumper?: boolean;
    /**
     * 是否可以改变pageSize
     */
    showSizeChanger?: boolean;
    /**
     * 当添加该属性时，显示为简单分页
     */
    simple?: boolean;
    /**
     * 使用ExpressionString来显示全部数据
     */
    showTotal?: string;
    /**
     * 默认每页条数
     */
    pageSizeOptions: string[];
    /**
     * pagination大小
     * @public
     */
    size?: 'small' | '';
    /**
     * 数据总数
     */
    total: number;
    /**
     * 每页条数
     */
    pageSize: number;
    /**
     * 内联CSS属性
     */
    style?: CSSProperties;
}
export declare class PaginationPropsInterface extends BasicContainerPropsInterface {
    info: PaginationConfig;
}
export declare class PaginationStateInterface {
}
export declare class AbstractPagination extends BasicContainer<PaginationPropsInterface, PaginationStateInterface> {
    constructor(props: PaginationPropsInterface);
    componentWillMount(): void;
    render(): JSX.Element;
    private handleChange(page, size);
    private handlePageSizeChange(cur, size);
    private mapPaginationProps(info);
}
