import { BasicConfig, BasicContainer, BasicContainerPropsInterface } from '../../render/core/Container/types';
export declare class PopoverConfig extends BasicConfig {
    /**
     * Popover数据模型Key
     */
    name?: string;
    /**
     * 弹出框位置
     */
    placement: 'topLeft' | 'top' | 'topRight' | 'left' | 'leftTop' | 'leftBottom' | 'rightTop' | 'right' | 'rightBottom' | 'bottomLeft' | 'bottom' | 'bottomRight';
    /**
     * 弹出框标题
     */
    title?: string;
    /**
     * 弹出框内容
     */
    content?: string | BasicConfig;
    /**
     * 触发类型
     */
    triggerType: 'hover' | 'focus' | 'click';
    /**
     * 满足某些条件才显示
     */
    visibleOn: string | boolean;
    /**
     * 渲染的子级元素
     */
    children: BasicConfig[];
}
export declare class PopoverPropsInterface extends BasicContainerPropsInterface {
    info: PopoverConfig;
}
export declare class AbstractPopover extends BasicContainer<PopoverPropsInterface, {}> {
    constructor(props: PopoverPropsInterface);
    handleVisibleChange(visible: boolean): void;
    render(): {} | null | undefined;
}
