/// <reference types="react" />
import { BasicContainer } from '../../render/core/Container/types';
import { Table } from '@native-ads/antd';
import { DataSource, TablePropsInterface, TableStateInterface } from './types';
export declare class TableDriver extends Table<DataSource> {
}
export declare class AbstractTable extends BasicContainer<TablePropsInterface, TableStateInterface> {
    constructor(props: TablePropsInterface);
    componentWillMount(): void;
    shouldComponentUpdate(): boolean;
    private handleTableChange(pagination, filters, sorter);
    private addExpand(expanded, record);
    private mapTableOptions(info);
    private rewriteColumn(columnsMapping, column, runTime);
    private columnProcessor(columns, info, dataSource);
    private dataSourceProcessor(dataSource, info);
    /**
     * 获取表格单元格自定义渲染元素
     *
     * @param info Table的配置
     * @param column 每列的配置
     * @param text 单元格要渲染的文本
     * @param record 整行的数据对象
     * @param index 行数
     * @returns {React.ReactNode}
     */
    private renderTableCell(column, text, record, index);
    private collectColSpanInfo(dataSource);
    private mergeFColumnControls(columns, dataSource);
    render(): JSX.Element;
}
