/// <reference types="react" />
import { CSSProperties } from 'react';
import { BasicConfig, BasicContainer, BasicContainerPropsInterface } from '../../render/core/Container/types';
export declare class TimePickerConfig extends BasicConfig {
    /**
     * Select的数据模型Key
     */
    name: string;
    /**
     * 是否禁用
     * @public
     * @default false
     */
    disabled?: boolean;
    /**
     * 开始时间
     */
    startTime?: string | number;
    /**
     * 结束时间
     */
    endTime?: string | number;
    /**
     * CSS样式
     */
    style?: CSSProperties;
    /**
     * CSS class
     */
    className?: string;
    /**
     * 输入框大小
     */
    size: 'large' | 'default' | 'small';
    /**
     * 展示的日期格式，配置参考 moment.js
     */
    format?: string;
    /**
     * 输入框提示文字
     * @public
     * @default ''
     */
    placeholder?: string;
    /**
     * 隐藏禁止选择的选项
     */
    hideDisabledOptions?: boolean;
    /**
     * 底部框显示的文字
     */
    text?: string;
    /**
     * 是否是12小时制
     */
    use12Hours?: boolean;
}
export declare class TimePickerPropsInterface extends BasicContainerPropsInterface {
    info: TimePickerConfig;
}
export declare class AbstractTimePicker extends BasicContainer<TimePickerPropsInterface, {}> {
    constructor(props: TimePickerPropsInterface);
    private mapTimePickerOptions(info);
    private handleChange(time, timeString);
    render(): JSX.Element;
}
