/// <reference types="react" />
import * as React from 'react';
import { BasicConfig, BasicContainer, BasicContainerPropsInterface } from '../../render/core/Container/types';
import 'moment/locale/zh-cn';
import './TimeSelect.less';
export declare class TimeSelectConfig extends BasicConfig {
    /**
     * 数据模型Key
     */
    name: string;
    /**
     * 默认数据源
     */
    defaultValue?: string | string[][];
    /**
     * 样式
     */
    style?: React.CSSProperties;
    /**
     * 数据格式类型
     */
    mode?: 'STRING' | 'RAW';
}
export declare class TimeSelectPropsInterface extends BasicContainerPropsInterface {
    info: TimeSelectConfig;
}
declare class AbstractTimeSelect extends BasicContainer<TimeSelectPropsInterface, {}> {
    constructor(props: TimeSelectPropsInterface);
    componentWillMount(): void;
    private fillZero(num, digits);
    private parseStringToTime(timeStr);
    private stringifyTime(time);
    handleChange: (value: string[][]) => void;
    render(): JSX.Element;
}
export default AbstractTimeSelect;
