/**
 * @file Container组件的Action
 * @author dongtiancheng
 */
export declare const SET_DATA = "SET_DATA";
export declare const SET_DATA_LIST = "SET_DATA_LIST";
export declare const SET_MULTI_DATA = "SET_MULTI_DATA";
export declare const RESET_STORE = "RESET_STORE";
export declare const DELETE_DATA = "DELETE_DATA";
export declare const CLEAR_DATA = "CLEAR_DATA";
export declare const SYNC_LOAD_DATA_SUCCESS = "SYNC_LOAD_DATA_SUCCESS";
export declare const SYNC_LOAD_DATA_FAIL = "SYNC_LOAD_DATA_FAIL";
export declare const ASYNC_LOAD_DATA_PROGRESS = "ASYNC_LOAD_DATA_PROGRESS";
export declare const ASYNC_LOAD_DATA_SUCCESS = "ASYNC_LOAD_DATA_SUCCESS";
export declare const ASYNC_LOAD_DATA_FAIL = "ASYNC_LOAD_DATA_FAIL";
export declare const DATA_CUSTOMER_PASS = "DATA_CUSTOMER_PASS";
export declare type SET_DATA_PAYLOAD = {
    name: string;
    value: any;
};
export declare type DELETE_DATA_PAYLOAD = {
    name: string;
};
export declare type SET_DATA_LIST_PAYLOAD = SET_DATA_PAYLOAD[];
export declare type SET_MULTI_DATA_PAYLOAD = ({
    name: string;
    value: any;
})[];
export declare type CLEAR_DATA_PAYLOAD = {
    model: string;
};
export declare type ASYNC_LOAD_DATA_PROGRESS_PAYLOAD = {
    model: string;
};
export declare type ASYNC_LOAD_DATA_SUCCESS_PAYLOAD = {
    model: string;
    data: any;
};
export declare type ASYNC_LOAD_DATA_FAIL_PAYLOAD = {
    model: string;
    error: any;
};
export declare type SYNC_LOAD_DATA_SUCCESS_PAYLOAD = {
    model: string;
    data: any;
};
export declare type SYNC_LOAD_DATA_FAIL_PAYLOAD = {
    model: string;
    error: any;
};
export declare type DATA_CUSTOMER_PASS_PAYLOAD = {
    model: string;
    data: Object;
};
export declare type IActions = {
    SET_DATA: {
        type: typeof SET_DATA;
        payload: SET_DATA_PAYLOAD;
        model: string;
    };
    SET_DATA_LIST: {
        type: typeof SET_DATA_LIST;
        payload: SET_DATA_LIST_PAYLOAD;
        model: string;
    };
    DELETE_DATA: {
        type: typeof DELETE_DATA;
        payload: DELETE_DATA_PAYLOAD;
        model: string;
    };
    SET_MULTI_DATA: {
        type: typeof SET_MULTI_DATA;
        payload: SET_MULTI_DATA_PAYLOAD;
        model: string;
    };
    CLEAR_DATA: {
        type: typeof CLEAR_DATA;
        payload: CLEAR_DATA_PAYLOAD;
    };
    RESET_STORE: {
        type: typeof RESET_STORE;
    };
    ASYNC_LOAD_DATA_PROGRESS: {
        type: typeof ASYNC_LOAD_DATA_PROGRESS;
        payload: ASYNC_LOAD_DATA_PROGRESS_PAYLOAD;
    };
    ASYNC_LOAD_DATA_SUCCESS: {
        type: typeof ASYNC_LOAD_DATA_SUCCESS;
        payload: ASYNC_LOAD_DATA_SUCCESS_PAYLOAD;
    };
    ASYNC_LOAD_DATA_FAIL: {
        type: typeof ASYNC_LOAD_DATA_FAIL;
        payload: ASYNC_LOAD_DATA_FAIL_PAYLOAD;
    };
    SYNC_LOAD_DATA_SUCCESS: {
        type: typeof SYNC_LOAD_DATA_SUCCESS;
        payload: SYNC_LOAD_DATA_SUCCESS_PAYLOAD;
    };
    SYNC_LOAD_DATA_FAIL: {
        type: typeof SYNC_LOAD_DATA_FAIL;
        payload: SYNC_LOAD_DATA_FAIL_PAYLOAD;
    };
    DATA_CUSTOMER_PASS: {
        type: typeof DATA_CUSTOMER_PASS;
        payload: DATA_CUSTOMER_PASS_PAYLOAD;
    };
};
export declare type IContainerAction = IActions[keyof IActions];
export declare const actionCreators: {
    setData: (payload: SET_DATA_PAYLOAD, model: string) => {
        type: "SET_DATA";
        payload: SET_DATA_PAYLOAD;
        model: string;
    };
    setDataList: (payload: SET_DATA_PAYLOAD[], model: string) => {
        type: "SET_DATA_LIST";
        payload: SET_DATA_PAYLOAD[];
        model: string;
    };
    setMultiData: (payload: {
        name: string;
        value: any;
    }[], model: string) => {
        type: "SET_MULTI_DATA";
        payload: {
            name: string;
            value: any;
        }[];
        model: string;
    };
    deleteData: (payload: DELETE_DATA_PAYLOAD, model: string) => {
        type: "DELETE_DATA";
        payload: DELETE_DATA_PAYLOAD;
        model: string;
    };
    resetStore: () => {
        type: "RESET_STORE";
    };
    clearData: (payload: CLEAR_DATA_PAYLOAD) => {
        type: "CLEAR_DATA";
        payload: CLEAR_DATA_PAYLOAD;
    };
    asyncLoadDataProgress: (payload: ASYNC_LOAD_DATA_PROGRESS_PAYLOAD) => {
        type: "ASYNC_LOAD_DATA_PROGRESS";
        payload: ASYNC_LOAD_DATA_PROGRESS_PAYLOAD;
    };
    asyncLoadDataSuccess: (payload: ASYNC_LOAD_DATA_SUCCESS_PAYLOAD) => {
        type: "ASYNC_LOAD_DATA_SUCCESS";
        payload: ASYNC_LOAD_DATA_SUCCESS_PAYLOAD;
    };
    asyncLoadDataFail: (payload: ASYNC_LOAD_DATA_FAIL_PAYLOAD) => {
        type: "ASYNC_LOAD_DATA_FAIL";
        payload: ASYNC_LOAD_DATA_FAIL_PAYLOAD;
    };
    syncLoadDataSuccess: (payload: SYNC_LOAD_DATA_SUCCESS_PAYLOAD) => {
        type: "SYNC_LOAD_DATA_SUCCESS";
        payload: SYNC_LOAD_DATA_SUCCESS_PAYLOAD;
    };
    syncLoadDataFail: (payload: SYNC_LOAD_DATA_FAIL_PAYLOAD) => {
        type: "SYNC_LOAD_DATA_FAIL";
        payload: SYNC_LOAD_DATA_FAIL_PAYLOAD;
    };
    dataCustomerPass: (payload: DATA_CUSTOMER_PASS_PAYLOAD) => {
        type: "DATA_CUSTOMER_PASS";
        payload: DATA_CUSTOMER_PASS_PAYLOAD;
    };
};
