/// <reference types="react" />
import * as React from 'react';
import { BasicConfig, BasicContainerPropsInterface } from '../Container/types';
export declare class FormConfig extends BasicConfig {
    /**
     * 子级组件
     */
    children?: BasicConfig[];
    /**
     * 表单的数据模型，会包含整个表单内部所有元素的数据
     */
    name?: string;
    /**
     * 表单布局
     */
    layout?: 'horizontal' | 'vertical' | 'inline';
    /**
     * 提交之后清除表单数据
     */
    clearAfterSubmit?: boolean;
    /**
     * 当某一规则校验不通过时，是否停止剩下的规则的校验
     */
    validateFirst?: boolean;
}
export declare class FormPropsInterface extends BasicContainerPropsInterface {
    /**
     * 传入的数据配置
     */
    info: FormConfig;
}
declare const _default: React.ComponentClass<FormPropsInterface>;
export default _default;
