/// <reference types="react" />
import * as React from 'react';
import { BasicConfig, BasicContainerPropsInterface } from '../Container/types';
import { DataCustomer } from '../DataCustomer/Controller';
export declare class TriggerEventItem {
    /**
     * 事件名称
     */
    event: string;
    /**
     * 指定的目标DataCustomer
     */
    targetCustomer: string | string[];
    /**
     * 传递给目标的参数
     */
    params: (string | number | boolean)[];
    /**
     * 调试模式
     */
    debug: boolean;
    /**
     * 事件触发的条件
     */
    condition?: string;
}
export declare class TriggerPropsInterface extends BasicContainerPropsInterface {
    info: BasicConfig;
    /**
     * 当前Container的数据模型对象
     */
    $data: Object;
    /**
     * 通过表格组件, 渲染之后, 获取到的每一行的数据
     */
    $item?: Object;
    /**
     * 通过表格组件, 渲染之后, 获取到的第几行
     */
    $index?: number;
    /**
     * React组件Key
     */
    key: string | number;
    /**
     * 底层组件设置数据模型值使用
     */
    $setData: (name: string, value: any) => void;
    /**
     * 父级的Container组件的model值
     */
    model: string;
    /**
     * 父级Container组件的dataCustomer
     */
    dataCustomer: DataCustomer;
}
declare const _default: React.ComponentClass<TriggerPropsInterface>;
export default _default;
