export declare const TRIGGER_SET_DATA = "TRIGGER_SET_DATA";
export declare const SUBMIT_SET_DATA = "SUBMIT_SET_DATA";
export declare type TRIGGER_SET_DATA_PAYLOAD = {
    /**
     * 数据模型Key
     */
    model: string;
    /**
     * customer的名称
     */
    customer: string;
    /**
     * customer的数据
     */
    data: Object;
};
export declare type SUBMIT_SET_DATA_PAYLOAD = {
    /**
     * 数据模型Key
     */
    model: string;
    /**
     * 写入的数据
     */
    data: Object;
    /**
     * customer的名称
     */
    customer: string;
};
export declare type IActions = {
    TRIGGER_SET_DATA: {
        type: typeof TRIGGER_SET_DATA;
        payload: TRIGGER_SET_DATA_PAYLOAD[];
    };
    SUBMIT_SET_DATA: {
        type: typeof SUBMIT_SET_DATA;
        payload: SUBMIT_SET_DATA_PAYLOAD;
    };
};
export declare type ITriggerAction = IActions[keyof IActions];
export declare const actionCreators: {
    triggerSetData: (payload: TRIGGER_SET_DATA_PAYLOAD[]) => {
        type: "TRIGGER_SET_DATA";
        payload: TRIGGER_SET_DATA_PAYLOAD[];
    };
    submitSetData: (payload: SUBMIT_SET_DATA_PAYLOAD) => {
        type: "SUBMIT_SET_DATA";
        payload: SUBMIT_SET_DATA_PAYLOAD;
    };
};
