/// <reference types="react" />
import * as React from 'react';
import { RCREOptions } from './core/Page';
import componentDriver from './util/componentLoader';
import { BasicContainer, BasicConfig, BasicContainerPropsInterface, getRuntimeContext, ContainerProps, runTimeType } from './core/Container/types';
import { BasicSyncProviderInterface, BasicAsyncProviderInterface, ProviderGlobalOptions, ProviderSourceConfig } from './core/DataProvider/Controller';
import { providerLoaderInstance as providerLoader } from './core/DataProvider/loader';
import { customerLoaderInstance as customerLoader } from './core/DataCustomer/loader';
import funcCustomer from './core/DataCustomer/funcCustomer';
import { BasicCustomerInstance } from './core/DataCustomer/Controller';
import { filter } from './util/filter';
import { createChild } from './util/createChild';
import { Store } from 'redux';
import { RootState } from './data/reducers';
import * as vm from './util/vm';
import './index.css';
export declare type globalOptions = {
    [s: string]: any;
};
export interface RenderPropsInterface {
    code: string;
    global?: globalOptions;
    options?: RCREOptions;
}
export declare let store: Store<RootState>;
export declare class Render extends React.Component<RenderPropsInterface, {}> {
    static defaultProps: {
        code: string;
        global: {};
    };
    constructor(props: RenderPropsInterface);
    shouldComponentUpdate(nextProps: RenderPropsInterface, nextState: {}): boolean;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
export declare function clearStore(): void;
export { BasicContainer, BasicConfig, BasicContainerPropsInterface, componentDriver as componentLoader, providerLoader, customerLoader, createChild, filter, BasicSyncProviderInterface, BasicAsyncProviderInterface, ProviderGlobalOptions, ProviderSourceConfig, getRuntimeContext, ContainerProps, runTimeType, BasicCustomerInstance, vm, funcCustomer };
