/// <reference types="react" />
import * as React from 'react';
import { BasicConfig, BasicContainer, BasicContainerPropsInterface } from '../../render/core/Container/types';
import moment from 'moment';
import 'moment/locale/zh-cn';
import './Calendar.less';
import { CalendarMode } from '@native-ads/antd/lib/calendar';
export declare class CalendarConfig extends BasicConfig {
    /**
     * 自定义渲染月单元格，返回内容会被追加到单元格
     */
    monthCellRender?: BasicConfig[];
    /**
     * 自定义渲染日期单元格，返回内容会被追加到单元格
     */
    dateCellRender?: BasicConfig[];
    /**
     * 自定义渲染月单元格，返回内容覆盖单元格
     */
    monthFullCellRender?: BasicConfig[];
    /**
     * 自定义渲染日期单元格，返回内容覆盖单元格
     */
    dateFullCellRender?: BasicConfig[];
    /**
     * 是否全屏显示
     */
    fullscreen?: boolean;
    /**
     * 国际化配置
     */
    locale?: object;
    /**
     * 初始模式，month/year
     */
    mode?: CalendarMode;
    /**
     * 默认展示的日期
     */
    defaultValue?: moment.Moment;
    /**
     * 展示日期
     */
    value: moment.Moment;
    /**
     * 样式
     */
    style?: React.CSSProperties;
    /**
     * 设置自定义内容
     */
    controls?: {
        content: BasicConfig[];
        noContent: BasicConfig[];
    };
    /**
     * 设置自定义表头内容
     */
    headerControls?: BasicConfig[];
    /**
     * 设置自定义表头内容
     */
    headerType?: string;
    /**
     * 日期所需要的数据源
     */
    dataSource?: {};
}
export declare class CalendarPropsInterface extends BasicContainerPropsInterface {
    info: CalendarConfig;
}
declare class AbstractCalendar extends BasicContainer<CalendarPropsInterface, {}> {
    constructor(props: CalendarPropsInterface);
    private dateCellRender(value, info);
    private headerDescribeRender(info);
    private mapCalendarOptions(info);
    render(): JSX.Element;
}
export default AbstractCalendar;
