/// <reference types="react" />
import * as React from 'react';
import { BasicConfig, BasicContainer, BasicContainerPropsInterface } from '../../render/core/Container/types';
import './Card.less';
import { CardType } from '@native-ads/antd/lib/card/index';
export declare class CardConfig extends BasicConfig {
    bodyStyle?: React.CSSProperties;
    bordered?: boolean;
    hoverable?: boolean;
    loading?: boolean;
    cardType?: CardType;
    style?: React.CSSProperties;
    meta?: CardMetaConfig;
    /**
     * 卡片详情内容
     */
    dataSource: {
        title: string;
        content: Array<{
            title: string;
            content: string;
        }>;
    };
}
export declare class CardMetaConfig extends BasicConfig {
    metaStyle?: React.CSSProperties;
    className?: string;
}
export declare class CardPropsInterface extends BasicContainerPropsInterface {
    info: CardConfig;
}
declare class AbstractCard extends BasicContainer<CardPropsInterface, {}> {
    constructor(props: CardPropsInterface);
    private mapCardOptions(info);
    private mapCardMetaOptions(info);
    render(): JSX.Element;
}
export default AbstractCard;
