import { BasicConfig, BasicContainer, BasicContainerPropsInterface, defaultData } from '../../render/core/Container/types';
import './Container.css';
import { ProviderSourceConfig } from '../../render/core/DataProvider/Controller';
import { CustomerSourceConfig } from '../../render/core/DataCustomer/Controller';
export declare class ContainerConfig extends BasicConfig {
    /**
     * 字级组件
     */
    children: BasicConfig[];
    /**
     * 数据模型Key
     */
    model: string;
    /**
     * 初始化数据
     */
    data?: defaultData;
    /**
     * container 继承属性映射
     */
    props?: Object;
    /**
     * 自动同步子级的对应属性的值到父级
     */
    bind?: {
        child: string;
        parent: string;
    }[];
    /**
     * dataProvider配置
     */
    dataProvider?: ProviderSourceConfig[];
    /**
     * dataCustomer配置
     */
    dataCustomer?: CustomerSourceConfig;
}
export declare class ContainerPropsInterface extends BasicContainerPropsInterface {
    info: ContainerConfig;
}
export default class AbstractContainer extends BasicContainer<ContainerPropsInterface, {}> {
    constructor(props: ContainerPropsInterface);
    render(): {} | null | undefined;
    private renderChild(info, depth, index);
}
