/// <reference types="react" />
import { CSSProperties } from 'react';
import { BasicConfig, BasicContainer, BasicContainerPropsInterface } from '../../render/core/Container/types';
import './LineChart.css';
export declare class LineChartConfig extends BasicConfig {
    /**
     * 图表宽度
     * @public
     * @default 500
     */
    width: string;
    /**
     * 图表高度
     * @public
     * @default 400
     */
    height: string;
    /**
     * 是否展示提示框组件
     * @public
     * @default true
     */
    tooltip: boolean;
    /**
     * 图表标题
     * @public
     */
    title: string;
    /**
     * 图例组件
     * @public
     * @default []
     */
    categories: string[];
    /**
     * 工具栏
     * @public
     * @default true
     */
    toolbox: boolean;
    /**
     * x轴数据
     * @public
     * @default [];
     */
    xAxisData: string[];
    /**
     * 是否支持缩放
     * @public
     * @default true
     */
    dataZoom: any;
    /**
     * 图标数据源
     * @public
     * @default []
     */
    series: {
        name: string;
        data: string[] | number[];
        icon?: string;
        smooth?: boolean;
        showSymbol?: boolean;
        areaStyle?: object;
        itemStyle?: object;
    }[];
    /**
     * CSS class
     */
    className?: string;
    /**
     * 内联CSS属性
     */
    style?: CSSProperties;
    /**
     * 是否在加载
     */
    loading?: boolean;
    /**
     * 是否在图标上显示数值
     */
    chartLabel?: boolean;
    /**
     * 图例形状
     * @public
     */
    icon?: string;
    /**
     * legend.data设置了 textStyle icon
     * @public
     * @default false
     */
    customLegend?: boolean;
}
export declare class LineChartPropsInterface extends BasicContainerPropsInterface {
    info: LineChartConfig;
}
export default class LineChart extends BasicContainer<LineChartPropsInterface, {}> {
    DOMElement: any;
    DOMID: string;
    isMount: boolean;
    chart: any;
    chartOptions: any;
    constructor(props: LineChartPropsInterface);
    componentDidMount(): void;
    shouldComponentUpdate(): boolean;
    componentDidUpdate(prevProps: LineChartPropsInterface): void;
    private overRideChartOptions(info);
    render(): {} | null | undefined;
}
