export declare type titleTypes = {
    text: string;
};
export declare type tooltipTypes = {
    textStyle?: {
        fontSize?: number;
    };
    trigger: string;
    axisPointer?: {
        type: string;
        label: {
            [s: string]: string;
        };
    };
};
export declare type legendTypes = {
    left?: string | number;
    right?: string | number;
    top?: string | number;
    bottom?: string | number;
    width?: string | number;
    height?: string | number;
    show?: boolean;
    data: Object | string[] | number[];
    type?: string;
    orient?: string;
    x?: string;
};
export declare type toolboxTypes = {
    show?: boolean;
    itemSize: number;
    itemGap: number;
    right: number;
    feature: {
        [s: string]: any;
    };
};
export declare type gridTypes = {
    [s: string]: string | number | boolean;
};
export declare type xAxisTypes = {
    type: 'category' | 'value' | 'log';
    boundaryGap?: boolean;
    data: string[];
    show?: boolean;
    axisTick?: boolean;
};
export declare type yAxisTypes = {
    type: 'category' | 'value' | 'log';
    show: boolean;
    axisTick?: object;
    axisLine?: object;
    splitLine?: object;
};
export declare type seriesTypes = {
    name: string;
    type?: string;
    stack?: string;
    label?: {
        normal?: {
            show?: boolean;
            position?: string;
        };
    };
    areaStyle?: {
        normal?: Object;
    };
    itemStyle?: {
        normal?: Object;
        emphasis?: Object;
    };
    smooth?: boolean;
    showSymbol?: boolean;
    data: string[] | number[];
};
export declare type chartTypes = {
    title: titleTypes;
    tooltip: tooltipTypes;
    legend: legendTypes;
    toolbox: toolboxTypes;
    grid: gridTypes | gridTypes[];
    xAxis: any;
    yAxis: any;
    dataZoom: any;
    series: seriesTypes[];
};
