/// <reference types="react" />
import { BasicContainer, BasicContainerPropsInterface } from '../../render/core/Container/types';
import { DatePickerCommonConfig } from '../DatePicker/DatePicker';
import * as moment from 'moment';
import 'rc-calendar/assets/index.css';
import 'rc-time-picker/assets/index.css';
import StartOf = moment.unitOfTime.StartOf;
export declare class RangePickerConfig extends DatePickerCommonConfig {
    /**
     * 默认日期
     */
    defaultValue: [string, string];
    /**
     * 不使用Input，而是直接渲染时间选择器
     */
    pure: boolean;
    /**
     * 写入到数据模型的日期格式
     */
    format?: string;
    /**
     * 自定义数据绑定
     */
    value: [string, string];
    /**
     * 没有输入的提示文字
     */
    placeholder: [string, string];
    /**
     * 开始时间
     */
    startTime?: string;
    /**
     * 结束时间
     */
    endTime?: string;
    /**
     * 提供可快捷选择的配置
     */
    rangeSelectConfig?: {
        /**
         * 以什么时间单位开始
         */
        'startOf': StartOf;
        /**
         * 开始时间偏移天数
         */
        'startOfOffset': number;
        /**
         * 以什么时间单位结束
         */
        'endOf': StartOf;
        /**
         * 结束时间偏移天数
         */
        'endOfOffset': number;
        /**
         * 按钮标题
         */
        'title': string;
    }[];
}
export declare class RangePickerPropsInterface extends BasicContainerPropsInterface {
    info: RangePickerConfig;
}
export declare class AbstractRangePicker extends BasicContainer<RangePickerPropsInterface, {}> {
    constructor(props: RangePickerPropsInterface);
    componentWillMount(): void;
    private handleChange(dates, dateStrings);
    private disabledDate(info);
    render(): JSX.Element;
}
