/// <reference types="react" />
import * as React from 'react';
import { BasicConfig, BasicContainer, BasicContainerPropsInterface } from '../../render/core/Container/types';
export declare class TabItem {
    /**
     * Tab 标签标题
     */
    title: string;
    /**
     * 标签页内容
     */
    children: BasicConfig[];
}
export declare class TabsConfig extends BasicConfig {
    /**
     * Tabs数据模型的Key
     */
    name: string;
    /**
     * 默认值
     */
    defaultActiveKey?: string | number;
    /**
     * 当前激活 tab 面板的 key
     */
    activeKey: string;
    /**
     * 是否使用动画切换 Tabs，在 tabPosition=top|bottom 时有效
     */
    animated: boolean;
    /**
     * 大小，提供 default 和 small 两种大小，仅当 @native-ads/antd.type="line" 时生效。
     */
    size: 'default' | 'small';
    /**
     * tab bar 的样式对象
     */
    tabBarStyle: React.CSSProperties;
    /**
     * 页签位置，可选值有 top right bottom left
     */
    tabPosition: 'left' | 'top' | 'bottom' | 'left';
    /**
     * 标签页列表
     */
    tabs: TabItem[];
    /**
     * 页签的基本样式，可选 line、card editable-card 类型
     */
    'tabType': 'line' | 'card';
}
export declare class TabsPropsInterface extends BasicContainerPropsInterface {
    /**
     * 组件配置
     */
    info: TabsConfig;
}
export declare class AbstractTabs extends BasicContainer<TabsPropsInterface, {}> {
    constructor(props: TabsPropsInterface);
    componentWillMount(): void;
    render(): JSX.Element;
    private mapTabsOptions(info);
}
