/// <reference types="react" />
import * as React from 'react';
import { BasicConfig, BasicContainer, BasicContainerPropsInterface } from '../../render/core/Container/types';
export declare class TextConfig extends BasicConfig {
    text: string;
    /**
     * 文本类型
     */
    textType?: 'text' | 'link' | 'strong';
    /**
     * HTML标签
     */
    htmlType?: keyof HTMLElementTagNameMap;
    /**
     * 跳转链接
     */
    href?: string;
    /**
     * 添加千分位符
     */
    thousands?: boolean;
    /**
     * 快速切换常用颜色
     */
    mode: 'info' | 'error' | 'warning' | 'success' | 'primary';
    /**
     * 内联属性
     */
    style?: React.CSSProperties;
    /**
     * CSS Class
     */
    className?: string;
}
export declare class TextPropsInterface extends BasicContainerPropsInterface {
    info: TextConfig;
    /**
     * 可扩展的onClick函数
     */
    onClick?: (event: React.MouseEvent<any>) => Object;
}
export declare class Text extends BasicContainer<TextPropsInterface, {}> {
    constructor(props: TextPropsInterface);
    private parseThousand(text);
    render(): {} | null | undefined;
}
export default Text;
