/// <reference types="react" />
import * as React from 'react';
import { BasicConfig, BasicContainer, BasicContainerPropsInterface } from '../../render/core/Container/types';
import 'moment/locale/zh-cn';
import './Transfer.less';
import { TransferItem } from '@native-ads/antd/lib/transfer/index';
export declare class TransferConfig extends BasicConfig {
    /**
     * Transfer的数据模型Key
     */
    name: string;
    /**
     * 自定义类
     */
    className: string;
    /**
     * Transfer 使用了 react-lazy-load 优化性能，这里可以设置相关参数。设为 false 可以关闭懒加载。
     */
    lazy?: {} | boolean;
    /**
     * 使用ExpressionString来自定义渲染
     */
    renderStr?: string;
    /**
     * 两个穿梭框的自定义样式
     */
    listStyle?: React.CSSProperties;
    /**
     * 操作文案集合，顺序从下至上
     */
    operations?: string[];
    /**
     * 搜索框的默认值
     */
    searchPlaceholder?: string;
    /**
     * 显示在右侧框数据的key集合
     */
    targetKeys?: string[];
    /**
     * 是否显示搜索框
     */
    showSearch?: boolean;
    /**
     * 标题集合，顺序从左至右
     */
    titles?: string[];
    /**
     * 自定义样式
     */
    style?: React.CSSProperties;
    /**
     * 数据模型内容
     */
    dataSource: TransferItem[];
    /**
     * 默认显示在右侧框数据的key集合
     */
    defaultTargetKeys?: string[];
}
export declare class TransferPropsInterface extends BasicContainerPropsInterface {
    info: TransferConfig;
}
declare class AbstractTransfer extends BasicContainer<TransferPropsInterface, {}> {
    constructor(props: TransferPropsInterface);
    componentWillMount(): void;
    private mapTransferOptions(info);
    handleChange: (targetKeys: string[], direction: string, moveKeys: string[]) => void;
    render(): JSX.Element;
}
export default AbstractTransfer;
