/// <reference types="react" />
import { BasicConfig, BasicContainer, BasicContainerPropsInterface } from '../../render/core/Container/types';
export declare class TreeConfig extends BasicConfig {
    /**
     * 数据模型Key
     */
    name: string;
    /**
     * 子节点配置
     */
    options: TreeNodeConfig[];
    /**
     * 自动展开树节点
     */
    autoExpandParent?: boolean;
    /**
     * 支持多选
     */
    checkable?: boolean;
    /**
     * 节点可拖拽
     */
    /**
     * checkable状态下节点选择完全受控（父子节点选中状态不再关联）
     */
    checkStrictly?: boolean;
    /**
     * 支持点选多个节点（节点本身）
     */
    multiple?: boolean;
    /**
     * 显示连接线
     */
    showLine?: boolean;
}
export declare class TreeNodeConfig {
    /**
     * 标题
     */
    title: string;
    /**
     * 节点的值
     */
    key: string;
    /**
     * 是否是子节点
     */
    isLeaf?: boolean;
    /**
     * 禁掉 checkbox
     */
    disableCheckbox?: boolean;
    /**
     * 禁用
     */
    disabled?: boolean;
    /**
     * 设置节点是否可被选中
     */
    selectable?: boolean;
    /**
     * 子节点
     */
    children?: TreeNodeConfig[];
}
export declare class TreePropsInterface extends BasicContainerPropsInterface {
    info: TreeConfig;
}
export declare class AbstractTree extends BasicContainer<TreePropsInterface, {}> {
    constructor(props: TreePropsInterface);
    private handleSelect(selectedKeys, event);
    private renderTreeNode(options);
    private mapTreeOptions(info);
    render(): JSX.Element;
}
