/// <reference types="react" />
/**
 * @file Container组件
 * @author dongtiancheng
 */
import * as React from 'react';
import { BasicContainer, ContainerProps } from './types';
import { ContainerPropsInterface } from '../../../components/Container/Container';
export declare class Container extends BasicContainer<ContainerProps, {}> {
    static WrappedComponent: string;
    static displayName: string;
    private dataProvider;
    private dataCustomer;
    constructor(props: ContainerProps);
    componentWillMount(): Promise<void>;
    componentWillReceiveProps(nextProps: ContainerProps): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
/**
 * 执行container组件嵌套的逻辑
 *
 * @param stateProps 当前container组件的mapStateToProps返回的对象
 * @param dispatchProps 当前container组件的mapDispatchToProps返回的对象
 * @param parentProps connect组件接收到的props
 * @return 当前container组件的props
 */
export declare const mergeProps: (stateProps: {
    $data: Object;
}, dispatchProps: ContainerProps, ownProps: ContainerPropsInterface) => ContainerProps;
declare const _default: React.ComponentClass<ContainerPropsInterface>;
export default _default;
