/// <reference types="react" />
import { CSSProperties } from 'react';
import { BasicConfig, BasicContainer, BasicContainerPropsInterface } from '../../Container/types';
export declare type gridPositionItems = 'top-left' | 'top-center' | 'top-right' | 'middle-left' | 'middle-center' | 'middle-right' | 'bottom-left' | 'bottom-center' | 'bottom-right';
export declare class GridItem extends BasicConfig {
    gridCount?: number;
    gridPosition?: gridPositionItems;
    gridPaddingLeft?: number;
    gridPaddingRight?: number;
    gridLeft?: number;
    gridTop?: number;
    gridWidth?: number | string;
    gridHeight?: number | string;
}
export declare type flexDirectionItems = 'row' | 'row-reverse' | 'column' | 'column-reverse';
export declare class RowConfig extends BasicConfig {
    /**
     * 每行最小高度
     */
    minHeight?: string;
    /**
     * 宽度
     */
    width?: number | string;
    /**
     * 高度
     */
    height?: number | string;
    /**
     * 测试使用, 显示网格
     */
    showBorder?: boolean;
    /**
     * CSS Class
     */
    className?: string;
    /**
     * 内联CSS属性
     */
    style?: CSSProperties;
    /**
     * 排列顺序
     */
    flexDirection?: flexDirectionItems;
    /**
     * 子级元素
     */
    children: GridItem[];
}
export declare class RowPropsInterface extends BasicContainerPropsInterface {
    info: RowConfig;
}
export default class Row extends BasicContainer<RowPropsInterface, {}> {
    private static isRowDirection(flexDirection?);
    constructor(props: RowPropsInterface);
    private getDefaultGridCount(children);
    render(): {} | null | undefined;
}
