/// <reference types="react" />
/// <reference types="node" />
/**
 * @file 引擎入口
 * @author dongtiancheng
 */
import * as React from 'react';
import { BasicConfig } from './Container/types';
import * as PropsTypes from 'prop-types';
import * as URL from 'url';
export declare type RCREOptions = {
    /**
     * 启动0.15.0版本之前的container数据合并策略
     */
    oldNestContainerCompatible?: boolean;
};
export declare class PageProps {
    title?: string;
    body: BasicConfig[] | BasicConfig | string;
    global?: Object;
    debug: boolean;
    lang: string;
    options?: RCREOptions;
}
declare class Page extends React.Component<PageProps, {}> {
    static defaultProps: {
        title: string;
        debug: boolean;
        global: {};
        lang: string;
        options: {};
    };
    static childContextTypes: {
        $global: PropsTypes.Requireable<any>;
        $location: PropsTypes.Requireable<any>;
        $query: PropsTypes.Requireable<any>;
        debug: PropsTypes.Requireable<any>;
        lang: PropsTypes.Requireable<any>;
        options: PropsTypes.Requireable<any>;
    };
    static getLocationService(): {
        $location: URL.UrlWithStringQuery;
        $query: {};
    };
    constructor(props: PageProps);
    getChildContext(): {
        $global: Object | undefined;
        $location: URL.UrlWithStringQuery;
        $query: {};
        debug: boolean;
    };
    render(): JSX.Element;
}
export default Page;
