/**
 * @file class util used to read source code
 * @author dongtiancheng, thanks to erik
 */
export declare class Walker {
    private code;
    private length;
    index: number;
    constructor(code: string);
    /**
     * 获取当前字符的unicode码
     *
     * @param {number} index
     * @returns {number}
     */
    charCode(index: number): number;
    /**
     * 获取当前指向的字节码
     * @returns {number}
     */
    currentCode(): number;
    /**
     * 获取片段
     *
     * @param {number} start
     * @param {number} end
     * @returns {string}
     */
    cut(start: number, end: number): string;
    /**
     * 重置指向
     */
    reset(): void;
    /**
     * 向右读取字符串
     * @param {number} distance
     */
    go(distance: number): void;
    /**
     * 是否到达尾部
     * @returns {boolean}
     */
    isEnd(): boolean;
    /**
     * 获取下一个字符
     * @returns {number}
     */
    nextCode(): number;
    /**
     * 向右边读取字符，直到遇到指定字符再停止
     * @param {string} char 目标字符
     * @param {string} repeatStr 需要绕过的成对字符
     * @returns {number}
     */
    findCharUtil(char?: string, repeatStr?: string): number;
    /**
     * 移动到右边包含一下字符串的位置
     * @param {string} str
     */
    findStrUtil(str: string): number;
}
