import { runTimeType } from '../core/Container/types';
export declare type compilePairType<S> = {
    [s: string]: S;
};
/**
 * 遍历对象或者数组的所有属性，处理所有找到的ExpressionString, 并返回一个新的解析好的对象
 *
 * @param {T} props 数据对象
 * @param {runTimeType} runTime ExpressionString 上下文
 * @param {string[]} blackList 变量名黑名单
 * @param {boolean} isDeep 是否递归解析
 * @param {string[]} whiteList 变量名白名单
 * @returns {T}
 */
export declare function compileExpressionString<T>(props: T, runTime: runTimeType, blackList?: string[], isDeep?: boolean, whiteList?: string[]): T;
/**
 * 判断字符串是否是ExpressionString
 * @param {string} str 字符串
 * @returns {boolean}
 */
export declare function isExpression(str: string): boolean;
/**
 * 过滤掉数据中含有ExpressionString的字段
 * @param {T} obj
 * @returns {T}
 */
export declare function filterExpressionData<T>(obj: T): T;
export declare function safeStringify(obj: Object): string;
export declare function parseExpressionString(str: string, context: runTimeType): any;
