## 同步绑定

使用bind属性，可以把字级container的某个key同步到父级，父级也会自动同步到字级。

```json
{
    "body": [{
        "type": "container",
        "model": "bindContainer",
        "children": [{
            "type": "form",
            "name": "demoForm",
            "children": [{
                "type": "formItem",
                "label": "UserName",
                "required": true,
                "control": {
                    "type": "input",
                    "name": "username"
                }
            }, {
                "type": "container",
                "model": "childBindContainer",
                "bind": [{
                    "child": "password",
                    "parent": "password"
                }],
                "children": [{
                    "type": "formItem",
                    "label": "PassWord",
                    "required": true,
                    "control": {
                       "type": "input",
                       "name": "password"
                    }
                }]
           }, {
                "type": "formItem",
                "control": {
                    "type": "button",
                    "htmlType": "submit",
                    "disabled": "#ES{!$form.valid}",
                    "text": "submit"
                }
           }]
        }]
    }]
}
```
