# 数据输出

这里是不同mode下的dataCustomer的使用样例

## 代码演示

{{demo}}


## API

### 跨组件数据传递
它的config需要2个必须的字段：

| 字段名称   | 类型     | 是否必须 | 说明                                       |
| ------ | ------ | ---- | ---------------------------------------- |
| model  | string | true | 目标container的model值                 |
| assign   | Object | true | 传递过去的数据对象 |

### 提交数据

| 字段名称   | 类型     | 是否必须 | 说明                                       |
| ------ | ------ | ---- | ---------------------------------------- |
| url  | string | true | 请求发送的地址                 |
| method   | string | false | HTTP 请求方式 |
| data| Object | false | 发送的数据，会自动处理GET和POST之间的差异 |
| retCheckPattern | ExpressionString | false | 返回值验证 |
| retErrorMsg | ExpressionString, string | false | 错误信息 |
| namespace | string | false | 提交返回值写入到container的key，默认是$output |

### 浏览器跳转


| 字段名称   | 类型     | 是否必须 | 说明                                       |
| ------ | ------ | ---- | ---------------------------------------- |
| href  | string | true | 跳转的地址                 |
| params  | string,Object | false | 跳转带有的参数 |


### 写入到localStorage

| 字段名称   | 类型     | 是否必须 | 说明                                       |
| ------ | ------ | ---- | ---------------------------------------- |
| groups  | {key: string, value: string}[] | true | key是存储的Key，value是存储的Value，使用数组成对的方式写入                |
| action | string | SET, DELETE| 执行模式，设置为DELETE就是删除这个Key |


### 提示
| 字段名称   | 类型     | 是否必须 | 说明                                       |
| ------ | ------ | ---- | ---------------------------------------- |
| content  string | true | 提示问题     |
| duration | number | false | 自动关闭延时，单位秒 |
| top | number | false | 消息距离顶部位置 |
| mode | success,info,error,warning,loading | false | 弹出的类型 |
