## 修改LocalStorage
设置mode为localStorage就能使用localStorage功能

value属性也支持对象，数组格式，并且支持在数据或者对象内部嵌入ExpressionString表达式。如果设置的话，写入到localStorage种的将会是对象或者数组
```json
{
    "body": [
        {
            "type": "container",
            "model": "localStorageCustomer",
            "dataCustomer": {
                "customers": [{
                    "mode": "localStorage",
                    "name": "setLocalStorage",
                    "config": {
                        "groups": "#ES{$trigger.setLocalStorage.groups}"
                    }
                }]
            },
            "dataProvider": [
                {
                    "mode": "localStorage",
                    "config": ["username"]
                }
            ],
            "children": [
                {
                    "type": "text",
                    "text": "把输入的值写入到LocalStorage",
                    "gridWidth": 250
                }, 
                {
                    "type": "row",
                    "children": [{
                        "type": "input",
                        "name": "username",
                        "gridWidth": 300,
                        "trigger": [{
                            "event": "onChange",
                            "targetCustomer": "setLocalStorage",
                            "params": {
                                "groups": [{
                                    "key": "username",
                                    "value": "#ES{$args.value}"
                                }]
                            }
                        }]
                    }]
                },
                {
                    "type": "text",
                    "style": {
                        "display": "block"
                    },
                    "text": "读取到的值： #ES{$data.username}"
                },
                {
                    "type": "text",
                    "mode": "success",
                    "style": {
                        "display": "block"
                    },
                    "text": "将Input的name模型和从localStorage的name值进行一一对应，就能实现在初始化的时候，自动设置Input的值"
                }
            ]
        }
    ]
}
```
