## 跨组件数据传递
跨组件数据传递是最常用的功能，尤其是对于查询这样的逻辑操作，是必不可少的功能。

跨组件数据传递的前提是页面中至少有2个以上的container组件。

设置mode为pass就可以定义一个跨组件数组传递的任务。


```json
{
    "body": [
        {
            "type": "container",
            "model": "dataPass",
            "dataCustomer": {
                "customers": [
                    {
                        "mode": "pass",
                        "name": "passData",
                        "config": {
                            "model": "receiveData",
                            "assign": {
                                "text": "#ES{$trigger.passData.text}"
                            }
                        }
                    }
                ]
            },
            "children": [
                {
                    "type": "button",
                    "text": "点击传递数据",
                    "trigger": [
                        {
                            "event": "onClick",
                            "targetCustomer": "passData",
                            "params": {
                                "text": "data from dataPass"
                            }
                        }
                    ]
                }
            ]
        },
        {
            "type": "container",
            "model": "receiveData",
            "data": {
                "text": "empty"
            },
            "children": [
                {
                    "type": "text",
                    "text": "received container data: #ES{JSON.stringify($data)}"
                }
            ]
        }
    ]
}
```
