## 通过接口来进行检查

设置apiRule可以让表单自动根据输入来请求接口检查输入。

```json
{
    "body": [
        {
            "type": "container",
            "model": "apiRule",
            "data": {
                "username": "test"
            },
            "children": [
                {
                    "type": "form",
                    "name": "apiForm",
                    "clearAfterSubmit": true,
                    "trigger": [
                        {
                            "event": "onSubmit",
                            "debug": true,
                            "targetCustomer": "submitForm",
                            "params": {
                                "username": "#ES{$args.username}"
                            }
                        }
                    ],
                    "children": [
                        {
                            "type": "formItem",
                            "label": "姓名",
                            "required": true,
                            "apiRule": {
                                "url": "/api/mock/validate",
                                "method": "GET",
                                "data": {
                                    "data": "#ES{$args.value}"
                                },
                                "validate": "#ES{!!$output.data.valid}",
                                "errmsg": "#ES{$output.data.errmsg}"
                            },
                            "control": {
                                "type": "input",
                                "name": "username",
                                "debounce": 300,
                                "placeholder": "请输入姓名"
                            },
                            "extra": "Extra Text"
                        },
                        {
                            "type": "formItem",
                            "wrapperCol": {
                                "offset": 4
                            },
                            "control": {
                                "type": "button",
                                "htmlType": "submit",
                                "buttonType": "primary",
                                "text": "提交",
                                "disabled": "#ES{!$form.valid}"
                            }
                        }
                    ]
                }
            ]
        }
    ]
}
```
