## 外置Filter验证

使用filterRule可以使用ExpressionString来进行表单验证

通过$args.value可以获取到当前表单项的值

```json
{
    "body": [
        {
            "type": "container",
            "model": "filterRule",
            "dataCustomer": {
                "customers": [{
                    "mode": "submit",
                    "name": "submitForm",
                    "config": {
                        "url": "/api/mock/submit",
                        "method": "GET",
                        "data": "#ES{$trigger.submitForm}"
                    }
                }]
            },
            "data": {
                "username": "andycallandycal"
            },
            "children": [
                {
                    "type": "form",
                    "name": "filterForm",
                    "clearAfterSubmit": true,
                    "trigger": [
                        {
                            "event": "onSubmit",
                            "debug": true,
                            "targetCustomer": "submitForm",
                            "params": {
                                "username": "#ES{$args.username}"
                            }
                        }
                    ],
                    "children": [
                        {
                            "type": "formItem",
                            "label": "姓名",
                            "required": true,
                            "filterRule": "#ES{$args.value.length === 0}",
                            "filterErrMsg": "只能为空",
                            "control": {
                                "type": "input",
                                "name": "username",
                                "placeholder": "请输入姓名"
                            },
                            "extra": "Extra Text"
                        },
                        {
                            "type": "formItem",
                            "wrapperCol": {
                                "offset": 4
                            },
                            "control": {
                                "type": "button",
                                "htmlType": "submit",
                                "buttonType": "primary",
                                "text": "提交",
                                "disabled": "#ES{!$form.valid}"
                            }
                        },
                        {
                            "type": "row",
                            "children": [
                                {
                                    "type": "text",
                                    "text": "表单是否可提交: #ES{$form.valid}"
                                }
                            ]
                        }
                    ]
                }
            ]
        }
    ]
}
```
