## 自定义分页

如果分页是通过后端接口指定，则需要按照下面的配置来完成。

```json
{
    "body": [
        {
            "type": "container",
            "model": "tablePagination",
            "data": {
                "table": {
                    "current": 1,
                    "page_size": 2
                }
            },
            "dataProvider": [
                {
                    "mode": "ajax",
                    "namespace": "whiteList",
                    "config": {
                        "url": "http://10.94.81.108:8093/commongd/api/gd/getWhiteList",
                        "method": "GET",
                        "data": {
                            "page": "#ES{$data.table.current}",
                            "page_size": "#ES{$data.table.page_size}"
                        }
                    }
                }
            ],
            "children": [
                {
                    "type": "table",
                    "columns": [
                        { "dataIndex": "id", "title": "计划ID"},
                        { "dataIndex": "user_id", "title": "百度帐号ID"},
                        { "dataIndex": "status", "title": "状态"}
                    ],
                    "dataSource": "#ES{$data.whiteList.data.list}",
                    "pagination": {
                        "pageSize": "#ES{$data.table.page_size}",
                        "current": "#ES{$data.table.current}",
                        "total": "#ES{$data.whiteList.data.total_num}"
                    },
                    "trigger": [
                        {
                            "event": "onPagination",
                            "targetCustomer": "$this",
                            "params": {
                                "table.current": "#ES{$args.current}",
                                "table.pageSize": "#ES{$args.pageSize}"
                            }
                        }
                    ]
                }
            ]
        }
    ]
}
```
