## 选择列

添加`rowSelection`属性就能让表格支持选择列

```json
{
    "body": [
        {
            "type": "container",
            "model": "rowSelection",
            "data": {
                "columns": [
                    {
                        "title": "名字",
                        "dataIndex": "name"
                    },
                    {
                        "title": "年龄",
                        "dataIndex": "age"
                    },
                    {
                        "title": "公司",
                        "dataIndex": "company"
                    }
                ],
                "dataSource": [
                    {
                        "name": "andycall",
                        "age": 21,
                        "company": "Baidu",
                        "key": "1"
                    },
                    {
                        "name": "dongtiancheng",
                        "age": 21,
                        "company": "Baidu.inc",
                        "key": "2"
                    }
                ]
            },
            "children": [
                {
                    "type": "table",
                    "columns": "#ES{$data.columns}",
                    "dataSource": "#ES{$data.dataSource}",
                    "rowSelection": {
                        "fixed": true
                    },
                    "trigger": [{
                        "event": "onRowSelectionChange",
                        "targetCustomer": "$this",
                        "params": {
                            "selectedRows": "#ES{$args.selectedRows}"
                        },
                        "debug": true
                    }]
                },
                {
                    "type": "text",
                    "text": "选中的值：#ES{JSON.stringify($data.selectedRows)}"
                }
            ]
        }
    ]
}
```
