## 表格下钻

通过表格自定义渲染这个功能, 来让可以针对表格的某一列进行各种操作.

```json
{
    "body": [
        {
            "type": "container",
            "model": "tableDrill",
            "dataProvider": [{
                "mode": "ajax",
                "namespace": "tableData",
                "config": {
                    "url": "/api/mock/table",
                    "method": "GET"
                }
            }],
            "children": [
                {
                    "type": "table",
                    "columns": "#ES{$data.tableData.data.head}",
                    "dataSource": "#ES{$data.tableData.data.body}",
                    "extendColumns": [{
                        "dataIndex": "operation",
                        "title": "操作"
                    }],
                    "customerColumnControls": [
                        {
                            "dataIndex": "stdatetime",
                            "style": {
                                "color": "red"
                            }
                        },
                        {
                            "dataIndex": "operation",
                            "controls": [
                                {
                                    "type": "button",
                                    "buttonType": "primary",
                                    "text": "detail",
                                    "trigger": [{
                                        "event": "onClick",
                                        "targetCustomer": "$this",
                                        "params": {
                                            "tablePopModal": true,
                                            "rowData": "#ES{$item}"
                                        }
                                    }]
                                }
                            ]
                        }
                    ]
                },
                {
                    "type": "modal",
                    "name": "tablePopModal",
                    "children": [
                        {
                            "type": "text",
                            "text": "时刻: #ES{$data.rowData.stdatetime}"
                        },
                        {
                            "type": "text",
                            "text": "当日值: #ES{$data.rowData.value}"
                        },
                        {
                            "type": "text",
                            "text": "日环比: #ES{$data.rowData.day2day}"
                        }
                    ]
                }
            ]
        }
    ]
}
```
