# TimeSelect 时间选择器


## 代码演示

{{demo}}

-----
## API

|         属性          |                说明                |                    类型                    |  是否必须 | 默认值   |
| :-----------------: | :------------------------------: | :--------------------------------------: | :-----: | :-----: | 
| name | TimeSelect的数据模型Key | string | true | - |
| defaultValue | 默认值 | mode为'RAW'时:string\[\]\[\], mode为'STRING'时:string| false | - |
| style | 定义容器的样式 | object | false | - |
| mode | 定义传入数据的类型 |'STRING' 或 'RAW' | false | 'STRING' |

## 事件

| 事件名称        | 触发条件   | 参数   |
| ----------- | ------ | ---- |
| onChange     | 选中时间改变   | 无    |

## value数据格式

支持两种数据格式 
```typescript

// 业务相关数据格式
// mode的值为'STRING'时，传入并输出如下数据格式的数据
let res: string = "16777215,16777215,16777215,16777215,16777215,16777215,16777215";

// 二维数组数据格式
// mode的值为'RAW'时，传入并输出如下数据格式的数据
let value: string[][] = [
["0", "0", "0", "0", "0", "0", "0", "0", "1", "1",
    "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "0"],
["0", "0", "0", "0", "0", "0", "0", "0", "1", "1",
    "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "0"],
["0", "0", "0", "0", "0", "0", "0", "0", "1", "1",
    "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "0"],
["0", "0", "0", "0", "0", "0", "0", "0", "1", "1",
    "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "0"],
["0", "0", "0", "0", "0", "0", "0", "0", "1", "1",
    "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "0"],
["0", "0", "0", "0", "0", "0", "0", "0", "1", "1",
    "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "0"],
["0", "0", "0", "0", "0", "0", "0", "0", "1", "1",
    "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "0"]
];

//转换函数
fillZero = (num: string, digits: number) => {
    let length = num.length;
    if (num.length < digits) {
        for (var i = 0; i < digits - length; i++) {
            num = '0' + num;
        }
    }
    return num;
};
value = res.split(',').map((item) => {
            return this.fillZero(parseInt(item, 10).toString(2), 24).split('').reverse();
        });
```
