const config = {
    button: {
        index: require('raw-loader!./Button/Button.md'),
        demo: {
            basic: require('raw-loader!./Button/demo/basic.md'),
            popConfirm: require('raw-loader!./Button/demo/popConfirm.md'),
            modalConfirm: require('raw-loader!./Button/demo/modalConfirm.md'),
            icon: require('raw-loader!./Button/demo/icon.md'),
            disabled: require('raw-loader!./Button/demo/disabled.md'),
            loading: require('raw-loader!./Button/demo/loading.md'),
            href: require('raw-loader!./Button/demo/href.md'),
            filter: require('raw-loader!./Button/demo/filter.md')
        }
    },
    dropdown: {
        index: require('raw-loader!./DropDown/DropDown.md'),
        demo: {
            basic: require('raw-loader!./DropDown/demo/basic.md'),
            primary: require('raw-loader!./DropDown/demo/primary.md'),
            click: require('raw-loader!./DropDown/demo/click.md'),
            placement: require('raw-loader!./DropDown/demo/placement.md')
        }
    },
    affix: {
        index: require('raw-loader!./Affix/Affix.md'),
        demo: {
            basic: require('raw-loader!./Affix/demo/basic.md')
        }
    },
    icon: {
        index: require('raw-loader!./Icon/Icon.md'),
        demo: {
            basic: require('raw-loader!./Icon/demo/basic.md'),
            // spin: require('raw-loader!./Icon/demo/spin.md')
        }
    },
    cascader: {
        index: require('raw-loader!./Cascader/Cascader.md'),
        demo: {
            basic: require('raw-loader!./Cascader/demo/basic.md'),
            defaultValue: require('raw-loader!./Cascader/demo/defaultValue.md'),
            loading: require('raw-loader!./Cascader/demo/loading.md'),
            expandTrigger: require('raw-loader!./Cascader/demo/expandTrigger.md'),
            changeOnSelect: require('raw-loader!./Cascader/demo/changeOnSelect.md')
        }
    },
    table: {
        index: require('raw-loader!./Table/Table.md'),
        demo: {
            basic: require('raw-loader!./Table/demo/basic.md'),
            customerRender: require('raw-loader!./Table/demo/customerRender.md'),
            columnsMapping: require('raw-loader!./Table/demo/columnsMapping.md'),
            dataSourceMapping: require('raw-loader!./Table/demo/dataSourceMapping.md'),
            tableDrill: require('raw-loader!./Table/demo/tableDrill.md'),
            width: require('raw-loader!./Table/demo/width.md'),
            extendColumns: require('raw-loader!./Table/demo/extendColumns.md'),
            tree: require('raw-loader!./Table/demo/tree.md'),
            pagination: require('raw-loader!./Table/demo/pagination.md'),
            mergeFirstColumn: require('raw-loader!./Table/demo/mergeFirstColumn.md'),
            rowSelection: require('raw-loader!./Table/demo/rowSelection.md'),
            fixHeader: require('raw-loader!./Table/demo/fixHeader.md'),
            headGroup: require('raw-loader!./Table/demo/headGroup.md')
        }
    },
    input: {
        index: require('raw-loader!./Input/Input.md'),
        demo: {
            basic: require('raw-loader!./Input/demo/basic.md'),
            group: require('raw-loader!./Input/demo/group.md'),
            password: require('raw-loader!./Input/demo/password.md'),
            addonInput: require('raw-loader!./Input/demo/addonInput.md'),
            sync: require('raw-loader!./Input/demo/sync.md'),
            disabled: require('raw-loader!./Input/demo/disabled.md'),
            placeholder: require('raw-loader!./Input/demo/placeholder.md'),
            readOnly: require('raw-loader!./Input/demo/readOnly.md'),
            debounce: require('raw-loader!./Input/demo/debounce.md')
        }
    },
    modal: {
        index: require('raw-loader!./Modal/Modal.md'),
        demo: {
            basic: require('raw-loader!./Modal/demo/basic.md'),
            footer: require('raw-loader!./Modal/demo/footer.md'),
            control: require('raw-loader!./Modal/demo/control.md')
        }
    },
    form: {
        index: require('raw-loader!./Form/Form.md'),
        demo: {
            basic: require('raw-loader!./Form/demo/basic.md'),
            layout: require('raw-loader!./Form/demo/layout.md'),
            filterRule: require('raw-loader!./Form/demo/filterRule.md'),
            apiRule: require('raw-loader!./Form/demo/apiRule.md')
            // dynamicForm: require('raw-loader!./Form/demo/dynamicForm.md'),
            // withContainer: require('raw-loader!./Form/demo/withContainer.md')
        }
    },
    text: {
        index: require('raw-loader!./Text/Text.md'),
        demo: {
            basic: require('raw-loader!./Text/demo/basic.md'),
            link: require('raw-loader!./Text/demo/link.md'),
            thousand: require('raw-loader!./Text/demo/thousand.md'),
            mode: require('raw-loader!./Text/demo/mode.md')
        }
    },
    link: {
        index: require('raw-loader!./Link/Link.md'),
        demo: {
            basic: require('raw-loader!./Link/demo/basic.md'),
            link: require('raw-loader!./Link/demo/Link.md')
        }
    },
    datePicker: {
        index: require('raw-loader!./DatePicker/DatePicker.md'),
        demo: {
            basic: require('raw-loader!./DatePicker/demo/basic.md'),
            showToday: require('raw-loader!./DatePicker/demo/showToday.md'),
            format: require('raw-loader!./DatePicker/demo/format.md'),
            defaultValue: require('raw-loader!./DatePicker/demo/defaultValue.md'),
            startTime: require('raw-loader!./DatePicker/demo/startTime.md'),
            dynamicDateRange: require('raw-loader!./DatePicker/demo/dynamicDateRange.md'),
            inputTemplate: require('raw-loader!./DatePicker/demo/inputTemplate.md')
        }
    },
    tabs: {
        index: require('raw-loader!./Tabs/Tabs.md'),
        demo: {
            basic: require('raw-loader!./Tabs/demo/basic.md'),
            animated: require('raw-loader!./Tabs/demo/noAnimate.md'),
            tabType: require('raw-loader!./Tabs/demo/tabType.md'),
            tabContainer: require('raw-loader!./Tabs/demo/tabContainer.md')
        }
    },
    lineChart: {
        index: require('raw-loader!./LineChart/LineChart.md'),
        demo: {
            basic: require('raw-loader!./LineChart/demo/basic.md'),
            loading: require('raw-loader!./LineChart/demo/loading.md'),
            label: require('raw-loader!./LineChart/demo/label.md'),
            legend: require('raw-loader!./LineChart/demo/legend.md'),
            compare: require('raw-loader!./LineChart/demo/compare.md'),
            yAxis: require('raw-loader!./LineChart/demo/yAxis.md'),
            xAxis: require('raw-loader!./LineChart/demo/xAxis.md')
        }
    },
    UniversalChart: {
        index: require('raw-loader!./UniversalChart/UniversalChart.md'),
        demo: {
            bar: require('raw-loader!./UniversalChart/demo/bar.md'),
            pie: require('raw-loader!./UniversalChart/demo/pie.md')
        }
    },
    trend: {
        index: require('raw-loader!./Trend/Trend.md'),
        demo: {
            basic: require('raw-loader!./Trend/demo/basic.md')
        }
    },
    select: {
        index: require('raw-loader!./Select/Select.md'),
        demo: {
            basic: require('raw-loader!./Select/demo/basic.md'),
            disabled: require('raw-loader!./Select/demo/disabled.md'),
            loading: require('raw-loader!./Select/demo/loading.md'),
            group: require('raw-loader!./Select/demo/group.md'),
            mapping: require('raw-loader!./Select/demo/mapping.md'),
            multiple: require('raw-loader!./Select/demo/multiple.md')
        }
    },
    pagination: {
        index: require('raw-loader!./Pagination/Pagination.md'),
        demo: {
            basic: require('raw-loader!./Pagination/demo/basic.md'),
            quickJump: require('raw-loader!./Pagination/demo/showQuickJumper.md'),
            size: require('raw-loader!./Pagination/demo/showSizeChanger.md'),
            showTotal: require('raw-loader!./Pagination/demo/showTotal.md'),
            simple: require('raw-loader!./Pagination/demo/simple.md')
        }
    },
    slider: {
        index: require('raw-loader!./Slider/Slider.md'),
        demo: {
            basic: require('raw-loader!./Slider/demo/basic.md'),
            customerFormat: require('raw-loader!./Slider/demo/customerFormat.md'),
            defaultValue: require('raw-loader!./Slider/demo/defaultValue.md'),
            marks: require('raw-loader!./Slider/demo/marks.md')
        }
    },
    row: {
        index: require('raw-loader!./Row/Row.md'),
        demo: {
            basic: require('raw-loader!./Row/demo/basic.md'),
            gridPosition: require('raw-loader!./Row/demo/gridPosition.md'),
            width: require('raw-loader!./Row/demo/width.md'),
            left: require('raw-loader!./Row/demo/gridLeftRight.md'),
            flexDirection: require('raw-loader!./Row/demo/flexDirection.md'),
            hidden: require('raw-loader!./Row/demo/hidden.md')
        }
    },
    popover: {
        index: require('raw-loader!./Popover/Popover.md'),
        demo: {
            basic: require('raw-loader!./Popover/demo/basic.md'),
            triggerType: require('raw-loader!./Popover/demo/triggerType.md'),
            content: require('raw-loader!./Popover/demo/content.md'),
            time: require('raw-loader!./Popover/demo/time.md'),
            table: require('raw-loader!./Popover/demo/table.md'),
            visible: require('raw-loader!./Popover/demo/visibleOn.md')
        }
    },
    rangePicker: {
        index: require('raw-loader!./RangePicker/RangePicker.md'),
        demo: {
            basic: require('raw-loader!./RangePicker/demo/basic.md'),
            custom: require('raw-loader!./RangePicker/demo/custom.md'),
            defaultValue: require('raw-loader!./RangePicker/demo/defaultValue.md'),
            disabledTime: require('raw-loader!./RangePicker/demo/disabledDate.md'),
            rangeSelect: require('raw-loader!./RangePicker/demo/rangeSelect.md')
        }
    },
    radio: {
        index: require('raw-loader!./Radio/Radio.md'),
        demo: {
            basic: require('raw-loader!./Radio/demo/basic.md'),
            group: require('raw-loader!./Radio/demo/radioGroup.md'),
            button: require('raw-loader!./Radio/demo/button.md')
        }
    },
    checkbox: {
        index: require('raw-loader!./Checkbox/Checkbox.md'),
        demo: {
            basic: require('raw-loader!./Checkbox/demo/basic.md'),
            group: require('raw-loader!./Checkbox/demo/group.md')
        }
    },
    tree: {
        index: require('raw-loader!./Tree/Tree.md'),
        demo: {
            basic: require('raw-loader!./Tree/demo/basic.md'),
            checkable: require('raw-loader!./Tree/demo/checkable.md'),
            multiple: require('raw-loader!./Tree/demo/multiple.md'),
            showLine: require('raw-loader!./Tree/demo/showLine.md')
        }
    },
    autoComplete: {
        index: require('raw-loader!./AutoComplete/AutoComplete.md'),
        demo: {
            basic: require('raw-loader!./AutoComplete/demo/basic.md')
        }
    },
    tooltip: {
        index: require('raw-loader!./Tooltip/Tooltip.md'),
        demo: {
            basic: require('raw-loader!./Tooltip/demo/basic.md')
        }
    },
    treeSelect: {
        index: require('raw-loader!./TreeSelect/TreeSelect.md'),
        demo: {
            basic: require('raw-loader!./TreeSelect/demo/basic.md'),
            checkbox: require('raw-loader!./TreeSelect/demo/checkbox.md'),
            defaultValue: require('raw-loader!./TreeSelect/demo/defaultValue.md'),
            checkedStrictly: require('raw-loader!./TreeSelect/demo/checkdStrictly.md')
        }
    },
    container: {
        index: require('raw-loader!./Container/Container.md'),
        demo: {
            basic: require('raw-loader!./Container/demo/basic.md'),
            multiple: require('raw-loader!./Container/demo/three.md'),
            nest: require('raw-loader!./Container/demo/nest.md'),
            oldCompat: require('raw-loader!./Container/demo/oldCompat.md'),
            parent: require('raw-loader!./Container/demo/parent.md'),
            sync: require('raw-loader!./Container/demo/sync.md'),
            props: require('raw-loader!./Container/demo/props.md'),
            bind: require('raw-loader!./Container/demo/bind.md')
        }
    },
    dataProvider: {
        index: require('raw-loader!./DataProvider/DataProvider.md'),
        demo: {
            basic: require('raw-loader!./DataProvider/demo/basic.md'),
            requiredParams: require('raw-loader!./DataProvider/demo/requiredParams.md')
        }
    },
    dataCustomer: {
        index: require('raw-loader!./DataCustomer/DataCustomer.md'),
        demo: {
            pass: require('raw-loader!./DataCustomer/demo/pass.md'),
            submit: require('raw-loader!./DataCustomer/demo/submit.md'),
            location: require('raw-loader!./DataCustomer/demo/location.md'),
            localStorage: require('raw-loader!./DataCustomer/demo/localStorage.md'),
            message: require('raw-loader!./DataCustomer/demo/message.md'),
            modal: require('raw-loader!./DataCustomer/demo/modal.md')
        }
    },
    calendar: {
        index: require('raw-loader!./Calendar/Calendar.md'),
        demo: {
            basic: require('raw-loader!./Calendar/demo/basic.md'),
            switchheader: require('raw-loader!./Calendar/demo/switchheader.md')
        }
    },
    timeSelect: {
        index: require('raw-loader!./TimeSelect/TimeSelect.md'),
        demo: {
            basic: require('raw-loader!./TimeSelect/demo/basic.md'),
            mode: require('raw-loader!./TimeSelect/demo/mode.md')
        }
    },
    transfer: {
        index: require('raw-loader!./Transfer/Transfer.md'),
        demo: {
            basic: require('raw-loader!./Transfer/demo/basic.md')
        }
    },
    card: {
        index: require('raw-loader!./Card/Card.md'),
        demo: {
            basic: require('raw-loader!./Card/demo/basic.md'),
            cardGroup: require('raw-loader!./Card/demo/cardGroup.md')
        }

    },
    upload: {
        index: require('raw-loader!./Upload/Upload.md'),
        demo: {
            basic: require('raw-loader!./Upload/demo/basic.md'),
            textUpload: require('raw-loader!./Upload/demo/textUpload.md'),
        }

    }
};

// 自动按照字母表排序
export default (() => {
    let keys = Object.keys(config);
    keys.sort((prev, next) => {
        return prev.toLowerCase().charCodeAt(0) - next.toLowerCase().charCodeAt(0);
    });

    let result = {};
    keys.forEach(key => {
        result[key] = config[key];
    });
    return result;
})();
